Subject: Re: linux-next: Signed-off-by missing for commits in the staging tree

From: Christian Gromm <[email-masked]>
Date: Wed, 29 Nov 2017 10:25:10 +0100

On 29.11.2017 10:14, Greg KH wrote:
> On Wed, Nov 29, 2017 at 09:44:44AM +0100, Christian Gromm wrote:
>> On 28.11.2017 20:41, Greg KH wrote:
>>> On Tue, Nov 28, 2017 at 08:16:51AM +1100, Stephen Rothwell wrote:
>>>> Hi Greg,
>>>>
>>>> Commits
>>>>
>>>>     2525ef557c73 ("staging: most: update driver usage file")
>>>>     e7e3ce04588c ("staging: most: core: fix list traversing")
>>>>
>>>> are missing a Signed-off-by from their author.
>>>
>>> Ugh, I missed that.  Christian, please be more careful.
>>>
>>
>> Hmm, am I missing something here? I have it in.
>> Here are copies of the patches in question and both have
>> a "Signed-off-by" line in.
>>
>> ---snip---
>> Received: from muaddib.microchip.com (10.10.76.4) by
>> chn-sv-exch05.mchp-main.com (10.10.76.106) with Microsoft SMTP Server id
>> 14.3.352.0; Tue, 21 Nov 2017 07:05:31 -0700
>> From: Christian Gromm <[email-masked]>
>> To: [email-masked]
>> CC: [email-masked], Andrey Shvetsov
>> <[email-masked]>, Christian Gromm <[email-masked]>
>> Subject: [PATCH 48/50] staging: most: core: fix list traversing
>> Date: Tue, 21 Nov 2017 15:05:22 +0100
>> Message-ID:
>> <[email-masked]>
>> X-Mailer: git-send-email 2.7.4
>> In-Reply-To:
>> <[email-masked]>
>> References: <[email-masked]>
>> Content-Type: text/plain
>> Return-Path: [email-masked]
>> X-MS-Exchange-Organization-AuthSource: CHN-SV-EXCH05.mchp-main.com
>> X-MS-Exchange-Organization-AuthAs: Internal
>> X-MS-Exchange-Organization-AuthMechanism: 10
>> X-MS-Exchange-Organization-AVStamp-Mailbox: SYMANTEC;628359232;0;info
>> MIME-Version: 1.0
>>
>> From: Andrey Shvetsov <[email-masked]>
>> This patch fixes the offset and data handling when traversing
>> the list of devices that are attached to the bus.
>>
>> Signed-off-by: Christian Gromm <[email-masked]>
>> ---
>>   drivers/staging/most/core.c | 17 +++++++++++++----
>>   1 file changed, 13 insertions(+), 4 deletions(-)
>>
>> diff --git a/drivers/staging/most/core.c b/drivers/staging/most/core.c
>> index d03ff97..9729206 100644
>> --- a/drivers/staging/most/core.c
>> +++ b/drivers/staging/most/core.c
>> @@ -535,10 +535,16 @@ static struct core_component *match_component(char
>> *name)
>>   	return NULL;
>>   }
>>
>> +struct show_links_data {
>> +	int offs;
>> +	char *buf;
>> +};
>> +
>>   int print_links(struct device *dev, void *data)
>>   {
>> -	int offs = 0;
>> -	char *buf = data;
>> +	struct show_links_data *d = data;
>> +	int offs = d->offs;
>> +	char *buf = d->buf;
>>   	struct most_channel *c;
>>   	struct most_interface *iface = to_most_interface(dev);
>>
>> @@ -560,13 +566,16 @@ int print_links(struct device *dev, void *data)
>>   					 dev_name(&c->dev));
>>   		}
>>   	}
>> +	d->offs = offs;
>>   	return 0;
>>   }
>>
>>   static ssize_t links_show(struct device_driver *drv, char *buf)
>>   {
>> -	bus_for_each_dev(&mc.bus, NULL, buf, print_links);
>> -	return strlen(buf);
>> +	struct show_links_data d = { .buf = buf };
>> +
>> +	bus_for_each_dev(&mc.bus, NULL, &d, print_links);
>> +	return d.offs;
>>   }
>>
>>   static ssize_t components_show(struct device_driver *drv, char *buf)
>> -- 
>> 2.7.4
>>
>>
>> and
>>
>>
>> Received: from muaddib.microchip.com (10.10.76.4) by
>> chn-sv-exch05.mchp-main.com (10.10.76.106) with Microsoft SMTP Server id
>> 14.3.352.0; Tue, 21 Nov 2017 07:05:26 -0700
>> From: Christian Gromm <[email-masked]>
>> To: [email-masked]
>> CC: [email-masked], Andrey Shvetsov
>> <[email-masked]>, Christian Gromm <[email-masked]>
>> Subject: [PATCH 44/50] staging: most: update driver usage file
>> Date: Tue, 21 Nov 2017 15:05:18 +0100
>> Message-ID:
>> <[email-masked]>
>> X-Mailer: git-send-email 2.7.4
>> In-Reply-To:
>> <[email-masked]>
>> References: <[email-masked]>
>> Content-Type: text/plain
>> Return-Path: [email-masked]
>> X-MS-Exchange-Organization-AuthSource: CHN-SV-EXCH05.mchp-main.com
>> X-MS-Exchange-Organization-AuthAs: Internal
>> X-MS-Exchange-Organization-AuthMechanism: 10
>> X-MS-Exchange-Organization-AVStamp-Mailbox: SYMANTEC;628359232;0;info
>> MIME-Version: 1.0
>>
>> From: Andrey Shvetsov <[email-masked]>
>>
>> This patch keeps the usage file up to date.
>>
>> Signed-off-by: Christian Gromm <[email-masked]>
>> ---
> 
> Why is there no signed-off-by from Andrey?
> 

Ah, his "Signed-off-by" is missing. Understood. Wasn't aware that
this is a prerequisite. Thought the patches need at least one
person that signs them off.

This is because we both develop on the driver. And I take the
patches from our internal gitlab server, prepare them and send
them upstream. And those two patches missed his Signed-off
obvioulsy.

Should I resend?

regards,
Chris